inherit:
- setuptools-base

variables:
  setuptools.install-prefix: ${setuptools.install-prefix:${mode}|${setuptools.install-prefix:default}}
  setuptools.install-prefix:default: ${toolkit.dir}

  setuptools.environment:default:
  - '@{next-value|[]}'
  - PATH="${toolkit.dir}/bin":\${PATH}

  setuptools.options:default:
  - - install
    - prefix
    - ${setuptools.install-prefix}
  - - install
    - force
    - 'true'
  - '@{next-value|[]}'

  setuptools.targets:default:
  - install

  ensure-install-directory: |
    INSTALL_DIRECTORY="\$(
      \${PYTHON} -c \
        'from distutils.sysconfig import get_python_lib;
    print(get_python_lib(prefix="'${setuptools.install-prefix}'"))'
    )"
    mkdir -p "\${INSTALL_DIRECTORY}"
    export PYTHONPATH="\${PYTHONPATH}:\${INSTALL_DIRECTORY}"

  setuptools.prepare.command: |
    ${next-value}

    # Prepare install directory
    ${ensure-install-directory|# Not creating install directory}
